# cra-template-router

A custom [Create React App](https://create-react-app.dev/) template that includes a basic [react-router](https://github.com/ReactTraining/react-router) implementation to kickstart your React projects.

It keeps exactly the same structure as the [default template](https://github.com/facebook/create-react-app/tree/master/packages/cra-template) and adds a basic setup for using routes.

## Usage

#### npx

```
npx create-react-app my-app --template router
```

#### npm

```
npm init react-app my-app --template router
```

#### yarn

```
yarn create react-app my-app --template router
```

## Folder structure

After creation, your project should look like this:

```
my-app/
  README.md
  node_modules/
  package.json
  public/
    index.html
    favicon.ico
  src/
    pages/
      About.js
      Home.js
    App.css
    App.js
    App.test.js
    index.css
    index.js
    logo.svg
```


---


[@ismamz](https://twitter.com/ismamz)
